Name:           python-twitch-dl
Version:        3.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Quickly download videos from twitch.tv from the comort of your terminal emulator

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://twitch-dl.bezdomni.net/
Source:         %{pypi_source twitch_dl}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'twitch-dl' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-twitch-dl
Summary:        %{summary}

%description -n python3-twitch-dl %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-twitch-dl chat


%prep
%autosetup -p1 -n twitch_dl-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x chat


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-twitch-dl -f %{pyproject_files}


%changelog
%autochangelog